edu.ucsb.nceas.metacat.advancedsearch

## Class AdvancedSearchPathQuery

- java.lang.Object
- - edu.ucsb.nceas.metacat.advancedsearch.AdvancedSearchPathQuery

-     public class AdvancedSearchPathQuery
      extends java.lang.Object

  Author:
    dcosta The AdvancedSearchPathQuery class holds the data needed to produce a valid PathQuery XML string.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdvancedSearchPathQuery(java.lang.String title, AdvancedSearchQueryGroup queryGroup, java.lang.String indent)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addReturnField(java.lang.String s)` Adds a returnfield to the pathquery xml.
    `java.lang.String` | `toString()` Creates the pathquery xml string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AdvancedSearchPathQuery

          public AdvancedSearchPathQuery(java.lang.String title,
                                         AdvancedSearchQueryGroup queryGroup,
                                         java.lang.String indent)

      Constructor. Initializes the pathquery title, the main query group, and the indent string.
      Parameters:
        `title` - the title of the pathquery
        `queryGroup` - the main query group
        `indent` - a string of spaces used for indenting output

  - ### Method Detail

    - #### addReturnField

          public void addReturnField(java.lang.String s)

      Adds a returnfield to the pathquery xml.
      Parameters:
        `s` - the name of the returnfield to add

    - #### toString

          public java.lang.String toString()

      Creates the pathquery xml string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string holding the PathQuery XML.

Copyright © 2020 Regents of the University of California. All Rights Reserved.